import 'package:flutter/material.dart';

import 'package:tetrisdual/provider/data.dart';

class Board {
  static Widget buildGameBoard(Data myProvider, double screenWidth) {
    final Widget player1 = RotatedBox(
      quarterTurns: 2,
      child: myProvider
          .getPlayer(1)
          .buildPlayerBoard(myProvider, screenWidth, myProvider.currentPlayer == 1),
    );

    final Widget player2 = myProvider
        .getPlayer(2)
        .buildPlayerBoard(myProvider, screenWidth, myProvider.currentPlayer == 2);

    final Widget togglePlayerWidget = GestureDetector(
      onTapUp: (details) {
        myProvider.toggleCurrentPlayer();
      },
      child: const Text(
        '🔄',
        style: TextStyle(
          fontSize: 50,
        ),
        textHeightBehavior: TextHeightBehavior(
          applyHeightToFirstAscent: false,
          applyHeightToLastDescent: false,
        ),
      ),
    );

    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          player1,
          togglePlayerWidget,
          player2,
        ],
      ),
    );
  }
}
